📘 To update only a single field of a Variable, please use the PATCH method with the parameters that need to be changed.
To update all attributes of a Variable please make a PUT request to the following URL:
HTTP Method URL PUT https://industrial.api.ubidots.com/api/v2.0/variables/<variable_id>/
To update all attributes of a Variable in a Device please make a PUT request to the following URL:
HTTP Method URL PUT https://industrial.api.ubidots.com/api/v2.0/devices/<device_key>/variables/<variable_key>
Parameter Type Description variable\_id String The ID of the Variable
Parameter Type Use Description token String Authentication Authentication Token can optionally be sent as a query parameter.
Parameter Type Required? Default Value Description label String Yes N/A (required) The API label of Variable name String No Same as label Name of the Variable description String No ""Description of Variable tags String Array No []Variable tags properties Object Yes N/A (required) Variable properties unit String No ""Unit of Variable. syntheticExpression String No ""Synthetic Expression of Variable
cURL (Request)
$ curl -X PUT 'https://industrial.api.ubidots.com/api/v2.0/variables/<variable_id>' \
-H 'Content-Type: application/json' \
-H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73' \
-d '{
"label": "variable2",
"name": "Variable 2",
"description": "my variable 2",
"tags": ["blue", "yellow"],
"properties": {},
"icon": "trash",
"unit": "meters"
}'
200 OK 400 Bad Request 401 Unauthorized
{
"createdAt": "2019-12-18T14:38:38.354415Z",
"syntheticExpression": "",
"description": "my variable 2",
"device": {
"id": "6e309da44fc8455a9cceb5aa",
"label": "first-device",
"name": "First Device",
"url": "https://industrial.api.ubidots.com/api/v2.0/devices/6e309da44fc8455a9cceb5aa"
},
"icon": "trash",
"id": "5dfa39ee1a9ca53020c69391",
"label": "variable2",
"lastActivity": null,
"lastValue": {},
"name": "Variable 2",
"properties": {},
"tags": ["blue", "yellow"],
"type": "raw",
"unit": "meters",
"url": "https://industrial.api.ubidots.com/api/v2.0/variables/5dfa39ee1a9ca53020c69391",
"valuesUrl": "https://industrial.api.ubidots.com/api/v1.6/variables/5dfa39ee1a9ca53020c69391/values"
}{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
Returns a Variable object of the updated Variable.